GDB (xrefs)

Public Attributes | List of all members
uploaded_tsv Struct Reference

`#include "tracepoint.h"`

## Public Attributes
const char * | name
int | number
LONGEST | initial_value
int | builtin
struct uploaded_tsv * | next

## Detailed Description

Definition at line 204 of file tracepoint.h.

## Member Data Documentation

## ◆ builtin

int uploaded_tsv::builtin

Definition at line 209 of file tracepoint.h.

Referenced by create_tsv_from_upload(), ctf_write_uploaded_tsv(), parse_tsv_definition(), and tfile_write_uploaded_tsv().

## ◆ initial_value

LONGEST uploaded_tsv::initial_value

Definition at line 208 of file tracepoint.h.

Referenced by create_tsv_from_upload(), ctf_write_uploaded_tsv(), parse_tsv_definition(), and tfile_write_uploaded_tsv().

## ◆ name

const char* uploaded_tsv::name

Definition at line 206 of file tracepoint.h.

Referenced by create_tsv_from_upload(), ctf_write_uploaded_tsv(), find_matching_tsv(), parse_tsv_definition(), and tfile_write_uploaded_tsv().

## ◆ next

struct uploaded_tsv* uploaded_tsv::next

Definition at line 210 of file tracepoint.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), free_uploaded_tsvs(), get_uploaded_tsv(), merge_uploaded_trace_state_variables(), and trace_save().

## ◆ number

int uploaded_tsv::number

Definition at line 207 of file tracepoint.h.

Referenced by ctf_write_uploaded_tsv(), get_uploaded_tsv(), merge_uploaded_trace_state_variables(), and tfile_write_uploaded_tsv().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracepoint.h